# DataExchange
TKSTL
StlMesh

# StlMesh_MeshExplorer Class Reference

Provides facilities to explore the triangles of
each mesh domain.
.

`#include <StlMesh_MeshExplorer.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StlMesh_MeshExplorer (const Handle(StlMesh_Mesh)&M)
Standard_EXPORT Standard_Real | Deflection () const
| Returns the mesh deflection of the current domain. .
Standard_EXPORT void | InitTriangle (const Standard_Integer DomainIndex=1)
| Initializes the exploration of the triangles of the mesh domain of range <domainindex>. //! Raised if <domainindex> is lower than 1 or greater than the number of domains. .
Standard_Boolean | MoreTriangle () const
Standard_EXPORT void | NextTriangle ()
| Raised if there is no more triangle in the current domain. .
Standard_EXPORT void | TriangleVertices (Standard_Real &X1, Standard_Real &Y1, Standard_Real &Z1, Standard_Real &X2, Standard_Real &Y2, Standard_Real &Z2, Standard_Real &X3, Standard_Real &Y3, Standard_Real &Z3) const
| Raised if there is no more triangle in the current domain. .
Standard_EXPORT void | TriangleOrientation (Standard_Real &Xn, Standard_Real &Yn, Standard_Real &Zn) const
| Raised if there is no more triangle in the current domain. .

## Private Attributes

Handle_StlMesh_Mesh | mesh
Standard_Real | xn
Standard_Real | yn
Standard_Real | zn
Standard_Integer | v1
Standard_Integer | v2
Standard_Integer | v3
Standard_Integer | domainIndex
Standard_Integer | nbTriangles
Standard_Integer | triangleIndex
TColgp_SequenceOfXYZ | trianglesVertex
StlMesh_SequenceOfMeshTriangle | trianglesdef

## Constructor & Destructor Documentation

Standard_EXPORT StlMesh_MeshExplorer::StlMesh_MeshExplorer | ( | const Handle(StlMesh_Mesh)& | M | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StlMesh_MeshExplorer::Deflection | ( |  | ) | const

Standard_EXPORT void StlMesh_MeshExplorer::InitTriangle | ( | const Standard_Integer | DomainIndex = `1` | ) |

Standard_Boolean StlMesh_MeshExplorer::MoreTriangle | ( |  | ) | const`[inline]`

Standard_EXPORT void StlMesh_MeshExplorer::NextTriangle | ( |  | ) |

void StlMesh_MeshExplorer::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StlMesh_MeshExplorer::operator new | ( | size_t | size | ) | `[inline]`

void* StlMesh_MeshExplorer::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StlMesh_MeshExplorer::TriangleOrientation | ( | Standard_Real & | Xn,
|  | Standard_Real & | Yn,
|  | Standard_Real & | Zn
| ) | const

Standard_EXPORT void StlMesh_MeshExplorer::TriangleVertices | ( | Standard_Real & | X1,
|  | Standard_Real & | Y1,
|  | Standard_Real & | Z1,
|  | Standard_Real & | X2,
|  | Standard_Real & | Y2,
|  | Standard_Real & | Z2,
|  | Standard_Real & | X3,
|  | Standard_Real & | Y3,
|  | Standard_Real & | Z3
| ) | const

## Field Documentation

Standard_Integer StlMesh_MeshExplorer::domainIndex `[private]`

Handle_StlMesh_Mesh StlMesh_MeshExplorer::mesh `[private]`

Standard_Integer StlMesh_MeshExplorer::nbTriangles `[private]`

Standard_Integer StlMesh_MeshExplorer::triangleIndex `[private]`

StlMesh_SequenceOfMeshTriangle StlMesh_MeshExplorer::trianglesdef `[private]`

TColgp_SequenceOfXYZ StlMesh_MeshExplorer::trianglesVertex `[private]`

Standard_Integer StlMesh_MeshExplorer::v1 `[private]`

Standard_Integer StlMesh_MeshExplorer::v2 `[private]`

Standard_Integer StlMesh_MeshExplorer::v3 `[private]`

Standard_Real StlMesh_MeshExplorer::xn `[private]`

Standard_Real StlMesh_MeshExplorer::yn `[private]`

Standard_Real StlMesh_MeshExplorer::zn `[private]`

The documentation for this class was generated from the following files:

- StlMesh_MeshExplorer.hxx
- StlMesh_MeshExplorer.lxx